diff --git a/docs/en_US/modifying_tables.rst b/docs/en_US/modifying_tables.rst
index ff4bff3a9..bde388e1f 100644
--- a/docs/en_US/modifying_tables.rst
+++ b/docs/en_US/modifying_tables.rst
@@ -9,8 +9,8 @@ attributes.
 
 To access a dialog that allows you to create a database object, right-click on
 the object type in the pgAdmin tree control, and select the *Create* option for
-that object.  For example, to create a new database, right-click on the *Casts*
-node, and select *Create Cast...*
+that object.  For example, to create a new table, Select a database from the tree control, select the schema under the database, right-click on the *Tables*
+node, and select *Create Table...*
 
 .. toctree::
    :maxdepth: 1
@@ -26,4 +26,4 @@ node, and select *Create Cast...*
    rule_dialog
    table_dialog
    trigger_dialog
-   unique_constraint_dialog
\ No newline at end of file
+   unique_constraint_dialog
diff --git a/docs/en_US/pgagent_install.rst b/docs/en_US/pgagent_install.rst
index f54ee530a..2a209e416 100644
--- a/docs/en_US/pgagent_install.rst
+++ b/docs/en_US/pgagent_install.rst
@@ -13,6 +13,7 @@ same database; individual jobs may be targeted at a particular host, or left
 for execution by any host. Locking prevents execution of the same instance of a
 job by multiple hosts.
 
+
 Database setup
 **************
 
@@ -39,21 +40,6 @@ the *Execute* icon:
 
     CREATE LANGUAGE plpgsql;
 
-If you are using an earlier version of PostgreSQL or pgAgent, use the
-*Open file* icon on the Query Tool toolbar to open a browser window and locate
-the *pgagent.sql* script. The installation script is installed by pgAdmin, and
-the installation location varies from operating system to operating system:
-
-* On Windows, it is usually located under *C:\\Program files\\pgAdmin III* (or
-  *C:\\Program files\\PostgreSQL\\8.x\\pgAdmin III* if installed with the PostgreSQL
-  server installer).
-
-* On Linux, it is usually located under */usr/local/pgadmin3/share/pgadmin3*
-  or */usr/share/pgadmin3*.
-
-After loading the file into the Query Tool, click the *Execute* icon to execute
-the script.  The script will create a number of tables and other objects in a
-schema named *pgagent*.
 
 Daemon installation on Unix
 ***************************
@@ -73,7 +59,7 @@ needed for debugging or specialised configurations::
 
   Usage:
     /path/to/pgagent [options] <connect-string>
-  
+
   options:
     -f run in the foreground (do not detach from the terminal)
     -t <poll time interval in seconds (default 10)>
diff --git a/docs/en_US/using_pgagent.rst b/docs/en_US/using_pgagent.rst
index 616946cb9..0555d7b08 100644
--- a/docs/en_US/using_pgagent.rst
+++ b/docs/en_US/using_pgagent.rst
@@ -7,7 +7,7 @@
 
 pgAgent is a scheduling agent that runs and manages jobs; each job consists of
 one or more steps and schedules.  If two or more jobs are scheduled to execute
-concurrently, pgAgent will execute the jobs in parallel (each with it's own
+concurrently, pgAgent will execute the jobs in parallel (each with its own
 thread).
 
 A step may be a series of SQL statements or an operating system batch/shell
@@ -49,4 +49,3 @@ this, it is essential to maintain control over the users that are able to create
 and modify jobs. By default, only the user that created the pgAgent database
 objects will be able to do this - this will normally be the PostgreSQL
 superuser.
-
